Skala
Work order operations

Get work order operation details

Retrieves the specific details of a single work order operation using its unique identifier.

GET
/api/work_order_operations/{id}

Retrieves the specific details of a single work order operation using its unique identifier.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

WorkOrderOperation identifier

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/work_order_operations/string"
{
  "id": 0,
  "operation": {
    "id": 0,
    "name": "string"
  },
  "resource": {
    "id": 0,
    "name": "string"
  },
  "plannedTime": "string",
  "cost": "string",
  "status": "string",
  "workOrder": {
    "id": 0,
    "code": "string",
    "stock": {
      "id": 0,
      "unit": {
        "id": 0,
        "name": "string"
      },
      "trackType": "string"
    },
    "variant": {
      "id": 0,
      "stock": {
        "id": 0,
        "unit": {
          "id": 0,
          "name": "string"
        },
        "trackType": "string"
      },
      "name": "string"
    },
    "plannedQuantity": "string",
    "description": "string",
    "status": "string",
    "materials": [
      {
        "id": 0,
        "variant": {
          "id": 0,
          "stock": {
            "id": 0,
            "unit": {
              "id": 0,
              "name": "string"
            },
            "trackType": "string"
          },
          "name": "string"
        }
      }
    ],
    "invoice": {
      "id": 0,
      "contact": {
        "id": 0,
        "name": "string"
      },
      "code": "string",
      "shipmentCode": "string",
      "shipmentLink": "string",
      "tags": "string"
    }
  },
  "isActive": true,
  "notes": "string",
  "dependencies": [
    {
      "id": 0,
      "name": "string"
    }
  ],
  "isLastOperation": true,
  "totalCost": "string",
  "plannedQuantity": 0,
  "actualQuantity": 0,
  "startDate": "string",
  "endDate": "string"
}
Empty